org.keycloak.models.sessions.infinispan.mapreduce

## Class ClientSessionMapper

- java.lang.Object
- - org.keycloak.models.sessions.infinispan.mapreduce.ClientSessionMapper

- All Implemented Interfaces:
    Serializable, org.infinispan.distexec.mapreduce.Mapper<String,SessionEntity,String,Object>

      public class ClientSessionMapper
      extends Object
      implements org.infinispan.distexec.mapreduce.Mapper<String,SessionEntity,String,Object>, Serializable

  Author:
    Stian Thorgersen
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientSessionMapper(String realm)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ClientSessionMapper` | `client(String client)`
    `static ClientSessionMapper` | `create(String realm)`
    `ClientSessionMapper` | `emitKey()`
    `ClientSessionMapper` | `emitUserSessionAndTimestamp()`
    `ClientSessionMapper` | `expiredRefresh(long expiredRefresh)`
    `void` | `map(String key, SessionEntity e, org.infinispan.distexec.mapreduce.Collector collector)`
    `ClientSessionMapper` | `requireNullUserSession(boolean requireNullUserSession)`
    `ClientSessionMapper` | `userSession(String userSession)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClientSessionMapper

          public ClientSessionMapper(String realm)

  - ### Method Detail

    - #### create

          public static ClientSessionMapper create(String realm)

    - #### emitKey

          public ClientSessionMapper emitKey()

    - #### emitUserSessionAndTimestamp

          public ClientSessionMapper emitUserSessionAndTimestamp()

    - #### client

          public ClientSessionMapper client(String client)

    - #### userSession

          public ClientSessionMapper userSession(String userSession)

    - #### expiredRefresh

          public ClientSessionMapper expiredRefresh(long expiredRefresh)

    - #### requireNullUserSession

          public ClientSessionMapper requireNullUserSession(boolean requireNullUserSession)

    - #### map

          public void map(String key,
                 SessionEntity e,
                 org.infinispan.distexec.mapreduce.Collector collector)

      Specified by:
        `map` in interface `org.infinispan.distexec.mapreduce.Mapper<String,SessionEntity,String,Object>`

Copyright © 2015. All Rights Reserved.